@echo off

:test1
echo ...Waiting for the C drive, this should pass...
DWG C "c:\windows\hh.exe"
if errorlevel 1 goto error1
if errorlevel 0 goto test2
goto UndefinedErr

:test2
echo ...Waiting for the Z drive, this should fail...
DWG Z "c:\windows\hh.exe"
if errorlevel 1 goto error1
if errorlevel 0 goto test3
goto UndefinedErr

:error1
echo  Error: Drive not responding!

:test3
echo ...Purposely passing an invalid command argument...
DWG C frellit.exe /myparms /tacobell
if errorlevel 1 goto error2
if errorlevel 0 goto done
goto UndefinedErr

:error2
echo  Error: Could not execute arguments, check your command syntax.
goto done

:UndefinedErr
echo  Internal error: ERRORLEVEL is not 1 or 0!

:done
pause