@echo off
echo ...Building DW.OBJ...
ml /c /coff /Cp /nologo /I"\masm32\include" DW.asm
if errorlevel 1 pause

echo ...Linking DW.EXE...
link /nologo /release /subsystem:console DW.obj
if errorlevel 1 pause

del DW.obj /Q


echo ...Building DWG.RES...
rc DWG.rc
if errorlevel 1 pause

echo ...Converting DWG.RES...
cvtres /nologo /machine:IX86 DWG.res /out:rsrc.obj
if errorlevel 1 pause

echo ...Compiling DWG.ASM...
ml /c /coff /Cp /nologo /I"\masm32\include" DWG.asm
if errorlevel 1 pause

echo ...Linking DWG.EXE and RSRC.OBJ...
link /nologo /release /subsystem:windows DWG.obj RSRC.obj
if errorlevel 1 pause

del DWG.res /Q
del DWG.obj /Q
del RSRC.obj /Q